User panel stuff on forum
  6 posts on 1 page  1
Help
2006-03-08, 21:07
Member
2 posts

Registered:
Mar 2006
I dusted off my windows Q1 CD's and decided to give it another play but I'm having a few issues......

Ive setup eQuake based on FuhQuake on Ubuntu 64 Bit linux. My problem is I'm forced to launch it with "equake -nolibpng -nolibjpeg" or the game errors with "Error: FuhQuake couldn't load the required "libz.so" library"

The problem is that libpng (>=v1.2.0), libjpeg and libz are all installed correctly in /usr/lib/ and the libs are linked as described in the how to.

The game runs fine with "equake -nolibpng -nolibjpeg" but with a significant loss in eye candy.

Does anyone know how to fix this?

Thanks in advance :-)
2006-03-08, 23:35
Member
2259 posts

Registered:
Jan 2006
we have already talked about this on the forum
@ http://quakeworld.nu/forum/viewtopic.php?id=135
and
@ http://quakeworld.nu/forum/viewtopic.php?id=15

you should use the search button:
download eQuake and if it dosnt work then use this lib:
http://sassa.f.nu/temp/equake
if that dosnt work then use -nolibpng in your cmd line
2006-03-08, 23:57
Member
2 posts

Registered:
Mar 2006
Thanks for the reply!

Unfortunately the libpng.dll will do nothing under linux as linux doesn't use *.dll files they are a M$ thing. Linux uses libpng, libjpeg and libz to achieve the same thing as I presume the dll will do.

I did do a full search before posting on this forum and the old fuhquake forum with ought any hits, I'm beginning to think its a compatibility problem with 64 bit libs. I'm going to set it up on a 32bit system next and try that. Its just such a shame it wont run with all the bells and whistles :-(
2006-03-09, 01:14
Member
2259 posts

Registered:
Jan 2006
try to get some1 elses lib then that uses linux, that might do the trick?
or just download fuhquake and install it on the current eQuake?
or perhaps try ezQuake??

a new eQuake is coming with ezQuake...
2006-03-14, 16:06
Member
58 posts

Registered:
Feb 2006
Coolit wrote:
Thanks for the reply!

Unfortunately the libpng.dll will do nothing under linux as linux doesn't use *.dll files they are a M$ thing. Linux uses libpng, libjpeg and libz to achieve the same thing as I presume the dll will do.

I did do a full search before posting on this forum and the old fuhquake forum with ought any hits, I'm beginning to think its a compatibility problem with 64 bit libs. I'm going to set it up on a 32bit system next and try that. Its just such a shame it wont run with all the bells and whistles :-(

hmm, it could be that is related. But try FTE and see if the client will run. See Spike in #fte on ETG; he'll know.
finem respice
2006-06-07, 21:55
Member
796 posts

Registered:
Jan 1970
Coolit wrote:
Thanks for the reply!

Unfortunately the libpng.dll will do nothing under linux as linux doesn't use *.dll files they are a M$ thing. Linux uses libpng, libjpeg and libz to achieve the same thing as I presume the dll will do.

I did do a full search before posting on this forum and the old fuhquake forum with ought any hits, I'm beginning to think its a compatibility problem with 64 bit libs. I'm going to set it up on a 32bit system next and try that. Its just such a shame it wont run with all the bells and whistles :-(

Hi, I'm on Kubuntu Dapper and I am having the same problems today. My Kubuntu install is 32bit so 64bit may not be your problem!
I have worked around it by searching Adept (Synaptic) for "libpng" and installing "libpng12-dev" but then you get a libjpeg error so just search for "libjpeg" in Synaptic and install "libjpeg62-dev".

Now it works

Hope this helps!

NoL
  6 posts on 1 page  1